> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get spaces users 1

> Get a single space user



## OpenAPI

````yaml /schema.json get /spaces/{space}/users/{email}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /spaces/{space}/users/{email}:
    get:
      tags:
        - Spaces
      description: Get a single space user
      operationId: getSpaceUser
      parameters:
        - name: space
          in: path
          description: Space identifier
          required: true
          schema:
            type: string
        - name: email
          in: path
          description: User identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Get space user
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceUserResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SpaceUserResponse:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/SpaceUser'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    SpaceUser:
      type: object
      properties:
        email:
          title: Email address
          type: string
          format: email
        space:
          title: Space identifier
          type: string
        roles:
          title: Roles
          type: array
          items:
            type: string
            anyOf:
              - const: ROLE_USER
                title: Viewer
                description: >-
                  This role is allowed to view configurations and logs, and run
                  configurations.
              - const: ROLE_EDITOR
                title: Editor
                description: >-
                  This role is allowed to edit configurations, view logs and run
                  configurations.
              - const: ROLE_ADMINISTRATOR
                title: Administrator
                description: >-
                  This role is allowed to edit configurations and manage users,
                  view logs and run configurations.
          minItems: 1
          uniqueItems: true
      required:
        - email
        - space
        - roles

````